## proll 18

=== Makefile ===
all:
	make -C mrcoffee all
	make -C krups    all
	make -C krups-ser    all
	make -C espresso     all
	make -C espresso-ser all

clean:
	make -C mrcoffee clean
	make -C krups    clean
	make -C krups-ser    clean
	make -C espresso     clean
	make -C espresso-ser clean

=== espresso-ser/Makefile ===
#
# proll:
# espresso-ser/Makefile - make PROLL for Espresso with serial console.
# $Id: Makefile,v 1.12 2002/09/13 17:53:55 zaitcev Exp $
#
# Copyright 1999,2002 Pete Zaitcev
# This is Free Software is licensed under terms of GNU General Public License.
#

CC = gcc

# Define as empty for native compilation
CROSS = sparc-unknown-linux-gnu-

CROSSCC = $(CROSS)gcc
CROSSLD = $(CROSS)ld
CROSSNM = $(CROSS)nm

RM = /bin/rm -f
ELFTOAOUT = elftoaout

#
SRC = ../src

# Due to remapping algorithm PROLBASE should be algned on PMD.
# We make PROLBASE a define instead of using _start because we
# want to shift it to form a PGD entry. A relocatable label will not work.
# Linux kernel expects us to be at LINUX_OPPROM_BEGVM <asm-sparc/openprom.h>.
PROLBASE = 0xffd04000

# Linux
# Fixed %g6 is for arch/sparc/kernel/head.S, it seems ok w/o -ffixed-g6.
# Kernel uses -fcall-used-g5 -fcall-used-g7, we probably do not need them.
# __ANSI__ is supposed to be on by default but it is not.
CFLAGS = -O -Wall -DPROLBASE=$(PROLBASE) -D__ANSI__=1 -I$(SRC)
ASFLAGS = -D__ASSEMBLY__ -I$(SRC)
# Solaris or Linux/i386 cross compilation
#CFLAGS = -Iinclude -O

LDFLAGS = -N -Ttext $(PROLBASE)

ALL = proll.aout
PROLLEXE = proll.elf
OBJS = head.o wuf.o wof.o main.o vcons_su.o \
 printf.o rem.o sdiv.o umul.o udiv.o urem.o system.o hme.o pcic.o \
 arp.o netinit.o bootp.o packet.o tftp.o udp.o sched_2ep.o openprom.o eeprom.o

all:           $(ALL)

$(PROLLEXE):   $(OBJS)
	$(CROSSLD) $(LDFLAGS) -o $(PROLLEXE) $(OBJS)

head.o:         $(SRC)/head_jk.S $(SRC)/psr.h $(SRC)/asi.h $(SRC)/crs.h
	$(CROSSCC) $(ASFLAGS) -DPROLBASE=$(PROLBASE) -o $*.o -c $(SRC)/head_jk.S
main.o:         main.c $(SRC)/crs.h $(SRC)/asi.h $(SRC)/pgtsrmmu.h \
  $(SRC)/phys_jk.h $(SRC)/vconsole.h $(SRC)/version.h $(SRC)/general.h \
  $(SRC)/net.h $(SRC)/romlib.h $(SRC)/netpriv.h $(SRC)/arpa.h $(SRC)/system.h \
  $(SRC)/silo_arg.h $(SRC)/pcic.h
	$(CROSSCC) $(CFLAGS) -c $*.c
openprom.o:	openprom.c $(SRC)/openprom.h $(SRC)/general.h $(SRC)/romlib.h \
  $(SRC)/system.h $(SRC)/vconsole.h $(SRC)/phys_jk.h $(SRC)/silo_arg.h
	$(CROSSCC) $(CFLAGS) -c $*.c

system.o:       $(SRC)/system.c $(SRC)/vconsole.h $(SRC)/pgtsrmmu.h \
  $(SRC)/timer.h $(SRC)/general.h $(SRC)/net.h $(SRC)/romlib.h \
  $(SRC)/netpriv.h $(SRC)/arpa.h $(SRC)/system.h
	$(CROSSCC) $(CFLAGS) -c $(SRC)/$*.c
eeprom.o:	$(SRC)/eeprom.c $(SRC)/phys_jk.h $(SRC)/general.h \
  $(SRC)/romlib.h $(SRC)/system.h
	$(CROSSCC) $(CFLAGS) -c $(SRC)/$*.c
pcic.o:         $(SRC)/pcic.c $(SRC)/vconsole.h $(SRC)/pgtsrmmu.h \
 $(SRC)/phys_jk.h $(SRC)/pcic.h $(SRC)/general.h $(SRC)/romlib.h $(SRC)/system.h
	$(CROSSCC) $(CFLAGS) -c $(SRC)/$*.c
vcons_su.o:	$(SRC)/vcons_su.c $(SRC)/vconsole.h $(SRC)/system.h
	$(CROSSCC) $(CFLAGS) -c $(SRC)/$*.c
printf.o:       $(SRC)/printf.c
	$(CROSSCC) $(CFLAGS) -c $(SRC)/$*.c
hme.o:		$(SRC)/hme.c  $(SRC)/asi.h $(SRC)/timer.h $(SRC)/ethtool.h \
  $(SRC)/general.h $(SRC)/romlib.h $(SRC)/net.h $(SRC)/netpriv.h \
  $(SRC)/pgtsrmmu.h $(SRC)/system.h $(SRC)/phys_jk.h
	$(CROSSCC) $(CFLAGS) -c $(SRC)/$*.c

arp.o:		$(SRC)/arp.c $(SRC)/general.h $(SRC)/net.h $(SRC)/romlib.h $(SRC)/netpriv.h $(SRC)/arp.h
	$(CROSSCC) $(CFLAGS) -c $(SRC)/$*.c
netinit.o:	$(SRC)/netinit.c $(SRC)/general.h $(SRC)/net.h $(SRC)/romlib.h $(SRC)/netpriv.h $(SRC)/arp.h $(SRC)/ip.h $(SRC)/udp.h
	$(CROSSCC) $(CFLAGS) -c $(SRC)/$*.c
tftp.o:		$(SRC)/tftp.c $(SRC)/general.h $(SRC)/net.h $(SRC)/arpa.h $(SRC)/romlib.h $(SRC)/tftp.h
	$(CROSSCC) $(CFLAGS) -c $(SRC)/$*.c
udp.o:		$(SRC)/udp.c $(SRC)/general.h $(SRC)/net.h $(SRC)/romlib.h $(SRC)/netpriv.h $(SRC)/arp.h $(SRC)/ip.h $(SRC)/udp.h
	$(CROSSCC) $(CFLAGS) -c $(SRC)/$*.c
packet.o:	$(SRC)/packet.c $(SRC)/general.h $(SRC)/net.h $(SRC)/romlib.h $(SRC)/netpriv.h
	$(CROSSCC) $(CFLAGS) -c $(SRC)/$*.c
sched_2ep.o:	$(SRC)/sched_2ep.c $(SRC)/system.h $(SRC)/general.h $(SRC)/romlib.h $(SRC)/phys_jk.h $(SRC)/pcic.h
	$(CROSSCC) $(CFLAGS) -c $(SRC)/$*.c
bootp.o:	$(SRC)/bootp.c $(SRC)/general.h $(SRC)/net.h \
  $(SRC)/arpa.h $(SRC)/romlib.h $(SRC)/system.h $(SRC)/bootp.h
	$(CROSSCC) $(CFLAGS) -DNOBPEXT=1 -c $(SRC)/$*.c

wuf.o:		$(SRC)/wuf.S
	$(CROSSCC) $(ASFLAGS) -o $*.o -c $(SRC)/$*.S
wof.o:		$(SRC)/wof.S
	$(CROSSCC) $(ASFLAGS) -o $*.o -c $(SRC)/$*.S
rem.o:		$(SRC)/rem.S
	$(CROSSCC) $(ASFLAGS) -o $*.o -c $(SRC)/$*.S
sdiv.o:		$(SRC)/sdiv.S
	$(CROSSCC) $(ASFLAGS) -o $*.o -c $(SRC)/$*.S
udiv.o:		$(SRC)/udiv.S
	$(CROSSCC) $(ASFLAGS) -o $*.o -c $(SRC)/$*.S
urem.o:		$(SRC)/urem.S
	$(CROSSCC) $(ASFLAGS) -o $*.o -c $(SRC)/$*.S
umul.o:		$(SRC)/umul.S
	$(CROSSCC) $(ASFLAGS) -o $*.o -c $(SRC)/$*.S

#genlab.o:      genlab.c
#	$(CC) -c $*.c
#
#genlab:        genlab.o
#	$(CC) -o genlab genlab.o

clean:
	$(RM) $(OBJS)
	$(RM) $(PROLLEXE) proll.aout

proll.aout:	$(PROLLEXE)
	$(ELFTOAOUT) -o proll.aout $(PROLLEXE)

=== espresso/Makefile ===
#
# proll:
# espresso/Makefile - make PROLL for Espresso
# $Id: Makefile,v 1.11 2002/09/13 15:20:04 zaitcev Exp $
#
# Copyright 1999 Pete Zaitcev
# This is Free Software is licensed under terms of GNU General Public License.
#

CC = gcc

#CROSS = /usr/local/sparc/bin/sparc-sun-linux-
CROSS = sparc-unknown-linux-gnu-

CROSSCC = $(CROSS)gcc
CROSSLD = $(CROSS)ld
CROSSNM = $(CROSS)nm

RM = /bin/rm -f
ELFTOAOUT = elftoaout

#
SRC = ../src

# Due to remapping algorithm PROLBASE should be algned on PMD.
# We make PROLBASE a define instead of using _start because we
# want to shift it to form a PGD entry. A relocatable label will not work.
# Linux kernel expects us to be at LINUX_OPPROM_BEGVM <asm-sparc/openprom.h>.
PROLBASE = 0xffd04000

# Linux
# Fixed %g6 is for arch/sparc/kernel/head.S, it seems ok w/o -ffixed-g6.
# Kernel uses -fcall-used-g5 -fcall-used-g7, we probably do not need them.
# __ANSI__ is supposed to be on by default but it is not.
CFLAGS = -O -Wall -DPROLBASE=$(PROLBASE) -D__ANSI__=1 -I$(SRC)
ASFLAGS = -D__ASSEMBLY__ -I$(SRC)
# Solaris or Linux/i386 cross compilation
#CFLAGS = -Iinclude -O

LDFLAGS = -N -Ttext $(PROLBASE)

ALL = proll.aout
PROLLEXE = proll.elf
OBJS = head.o wuf.o wof.o main.o vconsole.o hconsole.o rconsole.o \
 printf.o rem.o sdiv.o umul.o udiv.o urem.o system.o hme.o pcic.o \
 arp.o netinit.o bootp.o packet.o tftp.o udp.o sched_2ep.o openprom.o eeprom.o

all:           $(ALL)

$(PROLLEXE):   $(OBJS)
	$(CROSSLD) $(LDFLAGS) -o $(PROLLEXE) $(OBJS)

head.o:         $(SRC)/head.S $(SRC)/phys_jj.h $(SRC)/asi.h $(SRC)/psr.h
	$(CROSSCC) $(ASFLAGS) -DPROLBASE=$(PROLBASE) -o $*.o -c $(SRC)/$*.S
main.o:         main.c $(SRC)/crs.h $(SRC)/asi.h $(SRC)/pgtsrmmu.h \
  $(SRC)/phys_jk.h $(SRC)/vconsole.h $(SRC)/version.h $(SRC)/general.h \
  $(SRC)/net.h $(SRC)/romlib.h $(SRC)/netpriv.h $(SRC)/arpa.h $(SRC)/system.h
	$(CROSSCC) $(CFLAGS) -c $*.c
openprom.o:	openprom.c $(SRC)/openprom.h $(SRC)/general.h $(SRC)/romlib.h \
  $(SRC)/system.h $(SRC)/phys_jk.h $(SRC)/vconsole.h
	$(CROSSCC) $(CFLAGS) -c $*.c

system.o:       $(SRC)/system.c $(SRC)/vconsole.h $(SRC)/pgtsrmmu.h \
  $(SRC)/timer.h $(SRC)/general.h $(SRC)/net.h $(SRC)/romlib.h \
  $(SRC)/netpriv.h $(SRC)/arpa.h $(SRC)/system.h
	$(CROSSCC) $(CFLAGS) -c $(SRC)/$*.c
pcic.o:         $(SRC)/pcic.c $(SRC)/vconsole.h $(SRC)/pgtsrmmu.h \
 $(SRC)/phys_jk.h $(SRC)/pcic.h $(SRC)/general.h $(SRC)/romlib.h $(SRC)/system.h
	$(CROSSCC) $(CFLAGS) -c $(SRC)/$*.c
eeprom.o:	$(SRC)/eeprom.c $(SRC)/phys_jk.h $(SRC)/general.h \
  $(SRC)/romlib.h $(SRC)/system.h
	$(CROSSCC) $(CFLAGS) -c $(SRC)/$*.c
vconsole.o:	$(SRC)/vconsole.c $(SRC)/vconsole.h $(SRC)/hconsole.h
	$(CROSSCC) $(CFLAGS) -c $(SRC)/$*.c
hconsole.o:	$(SRC)/hconsole.c $(SRC)/hconsole.h $(SRC)/rconsole.h $(SRC)/phys_jj.h
	$(CROSSCC) $(CFLAGS) -c $(SRC)/$*.c
rconsole.o:	$(SRC)/rconsole.c $(SRC)/rconsole.h
	$(CROSSCC) $(CFLAGS) -c $(SRC)/$*.c
printf.o:       $(SRC)/printf.c
	$(CROSSCC) $(CFLAGS) -c $(SRC)/$*.c
hme.o:		$(SRC)/hme.c  $(SRC)/system.h $(SRC)/netpriv.h \
  $(SRC)/romlib.h $(SRC)/timer.h $(SRC)/ethtool.h $(SRC)/general.h $(SRC)/net.h
	$(CROSSCC) $(CFLAGS) -c $(SRC)/$*.c

arp.o:		$(SRC)/arp.c $(SRC)/general.h $(SRC)/net.h $(SRC)/romlib.h $(SRC)/netpriv.h $(SRC)/arp.h
	$(CROSSCC) $(CFLAGS) -c $(SRC)/$*.c
netinit.o:	$(SRC)/netinit.c $(SRC)/general.h $(SRC)/net.h $(SRC)/romlib.h $(SRC)/netpriv.h $(SRC)/arp.h $(SRC)/ip.h $(SRC)/udp.h
	$(CROSSCC) $(CFLAGS) -c $(SRC)/$*.c
tftp.o:		$(SRC)/tftp.c $(SRC)/general.h $(SRC)/net.h $(SRC)/arpa.h $(SRC)/romlib.h $(SRC)/tftp.h
	$(CROSSCC) $(CFLAGS) -c $(SRC)/$*.c
udp.o:		$(SRC)/udp.c $(SRC)/general.h $(SRC)/net.h $(SRC)/romlib.h $(SRC)/netpriv.h $(SRC)/arp.h $(SRC)/ip.h $(SRC)/udp.h
	$(CROSSCC) $(CFLAGS) -c $(SRC)/$*.c
packet.o:	$(SRC)/packet.c $(SRC)/general.h $(SRC)/net.h $(SRC)/romlib.h $(SRC)/netpriv.h
	$(CROSSCC) $(CFLAGS) -c $(SRC)/$*.c
sched_2ep.o:	$(SRC)/sched_2ep.c $(SRC)/system.h $(SRC)/general.h $(SRC)/romlib.h $(SRC)/phys_jk.h $(SRC)/pcic.h
	$(CROSSCC) $(CFLAGS) -c $(SRC)/$*.c
bootp.o:	$(SRC)/bootp.c $(SRC)/general.h $(SRC)/net.h \
  $(SRC)/arpa.h $(SRC)/romlib.h $(SRC)/system.h $(SRC)/bootp.h
	$(CROSSCC) $(CFLAGS) -DNOBPEXT=1 -c $(SRC)/$*.c

wuf.o:		$(SRC)/wuf.S
	$(CROSSCC) $(ASFLAGS) -o $*.o -c $(SRC)/$*.S
wof.o:		$(SRC)/wof.S
	$(CROSSCC) $(ASFLAGS) -o $*.o -c $(SRC)/$*.S
rem.o:		$(SRC)/rem.S
	$(CROSSCC) $(ASFLAGS) -o $*.o -c $(SRC)/$*.S
sdiv.o:		$(SRC)/sdiv.S
	$(CROSSCC) $(ASFLAGS) -o $*.o -c $(SRC)/$*.S
udiv.o:		$(SRC)/udiv.S
	$(CROSSCC) $(ASFLAGS) -o $*.o -c $(SRC)/$*.S
urem.o:		$(SRC)/urem.S
	$(CROSSCC) $(ASFLAGS) -o $*.o -c $(SRC)/$*.S
umul.o:		$(SRC)/umul.S
	$(CROSSCC) $(ASFLAGS) -o $*.o -c $(SRC)/$*.S

#genlab.o:      genlab.c
#	$(CC) -c $*.c
#
#genlab:        genlab.o
#	$(CC) -o genlab genlab.o

clean:
	$(RM) $(OBJS)
	$(RM) $(PROLLEXE) proll.aout

proll.aout:	$(PROLLEXE)
	$(ELFTOAOUT) -o proll.aout $(PROLLEXE)

=== krups-ser/Makefile ===
#
# proll:
# krups-ser/Makefile - make PROLL for Krups with serial console
# $Id: Makefile,v 1.10 2002/09/13 17:51:50 zaitcev Exp $
#
# Copyright 1999,2000 Pete Zaitcev
# This is Free Software is licensed under terms of GNU General Public License.
#

CC = gcc

#CROSS = /usr/local/sparc/bin/sparc-sun-linux-
CROSS = sparc-unknown-linux-gnu-

CROSSCC = $(CROSS)gcc
CROSSLD = $(CROSS)ld
CROSSNM = $(CROSS)nm

RM = /bin/rm -f
ELFTOAOUT = elftoaout

#
SRC = ../src

# Due to remapping algorithm PROLBASE should be algned on PMD.
# We make PROLBASE a define instead of using _start because we
# want to shift it to form a PGD entry. A relocatable label will not work.
# Linux kernel expects us to be at LINUX_OPPROM_BEGVM <asm-sparc/openprom.h>.
PROLBASE = 0xffd04000

# Linux
# Fixed %g6 is for arch/sparc/kernel/head.S, it seems ok w/o -ffixed-g6.
# Kernel uses -fcall-used-g5 -fcall-used-g7, we probably do not need them.
# __ANSI__ is supposed to be on by default but it is not.
CFLAGS = -O -Wall -DPROLBASE=$(PROLBASE) -D__ANSI__=1 -I$(SRC)
ASFLAGS = -D__ASSEMBLY__ -I$(SRC)
# Solaris or Linux/i386 cross compilation
#CFLAGS = -Iinclude -O

LDFLAGS = -N -Ttext $(PROLBASE)

ALL = proll.aout
PROLLEXE = proll.elf
OBJS = head.o wuf.o wof.o main.o vcons_su.o \
 printf.o rem.o sdiv.o umul.o udiv.o urem.o system.o hme.o pcic.o \
 arp.o netinit.o bootp.o packet.o tftp.o udp.o sched_2ep.o openprom.o eeprom.o

all:           $(ALL)

$(PROLLEXE):   $(OBJS)
	$(CROSSLD) $(LDFLAGS) -o $(PROLLEXE) $(OBJS)

head.o:         $(SRC)/head_jk.S $(SRC)/psr.h $(SRC)/asi.h $(SRC)/crs.h
	$(CROSSCC) $(ASFLAGS) -DPROLBASE=$(PROLBASE) -o $*.o -c $(SRC)/head_jk.S
main.o:         main.c $(SRC)/crs.h $(SRC)/asi.h $(SRC)/pgtsrmmu.h \
  $(SRC)/phys_jk.h $(SRC)/vconsole.h $(SRC)/version.h $(SRC)/general.h \
  $(SRC)/net.h $(SRC)/romlib.h $(SRC)/netpriv.h $(SRC)/arpa.h $(SRC)/system.h \
  $(SRC)/silo_arg.h
	$(CROSSCC) $(CFLAGS) -c $*.c
openprom.o:	openprom.c $(SRC)/openprom.h $(SRC)/general.h $(SRC)/romlib.h \
  $(SRC)/system.h $(SRC)/vconsole.h $(SRC)/phys_jk.h $(SRC)/silo_arg.h
	$(CROSSCC) $(CFLAGS) -c $*.c

system.o:       $(SRC)/system.c $(SRC)/vconsole.h $(SRC)/pgtsrmmu.h \
  $(SRC)/timer.h $(SRC)/general.h $(SRC)/net.h $(SRC)/romlib.h \
  $(SRC)/netpriv.h $(SRC)/arpa.h $(SRC)/system.h
	$(CROSSCC) $(CFLAGS) -c $(SRC)/$*.c
eeprom.o:	$(SRC)/eeprom.c $(SRC)/phys_jk.h $(SRC)/general.h \
  $(SRC)/romlib.h $(SRC)/system.h
	$(CROSSCC) $(CFLAGS) -c $(SRC)/$*.c
pcic.o:         $(SRC)/pcic.c $(SRC)/vconsole.h $(SRC)/pgtsrmmu.h \
 $(SRC)/phys_jk.h $(SRC)/pcic.h $(SRC)/general.h $(SRC)/romlib.h $(SRC)/system.h
	$(CROSSCC) $(CFLAGS) -c $(SRC)/$*.c
vcons_su.o:	$(SRC)/vcons_su.c $(SRC)/vconsole.h $(SRC)/system.h
	$(CROSSCC) $(CFLAGS) -c $(SRC)/$*.c
printf.o:       $(SRC)/printf.c
	$(CROSSCC) $(CFLAGS) -c $(SRC)/$*.c
hme.o:		$(SRC)/hme.c  $(SRC)/asi.h $(SRC)/timer.h $(SRC)/ethtool.h \
  $(SRC)/general.h $(SRC)/romlib.h $(SRC)/net.h $(SRC)/netpriv.h \
  $(SRC)/pgtsrmmu.h $(SRC)/system.h $(SRC)/phys_jk.h
	$(CROSSCC) $(CFLAGS) -c $(SRC)/$*.c

arp.o:		$(SRC)/arp.c $(SRC)/general.h $(SRC)/net.h $(SRC)/romlib.h $(SRC)/netpriv.h $(SRC)/arp.h
	$(CROSSCC) $(CFLAGS) -c $(SRC)/$*.c
netinit.o:	$(SRC)/netinit.c $(SRC)/general.h $(SRC)/net.h $(SRC)/romlib.h $(SRC)/netpriv.h $(SRC)/arp.h $(SRC)/ip.h $(SRC)/udp.h
	$(CROSSCC) $(CFLAGS) -c $(SRC)/$*.c
tftp.o:		$(SRC)/tftp.c $(SRC)/general.h $(SRC)/net.h $(SRC)/arpa.h $(SRC)/romlib.h $(SRC)/tftp.h
	$(CROSSCC) $(CFLAGS) -c $(SRC)/$*.c
udp.o:		$(SRC)/udp.c $(SRC)/general.h $(SRC)/net.h $(SRC)/romlib.h $(SRC)/netpriv.h $(SRC)/arp.h $(SRC)/ip.h $(SRC)/udp.h
	$(CROSSCC) $(CFLAGS) -c $(SRC)/$*.c
packet.o:	$(SRC)/packet.c $(SRC)/general.h $(SRC)/net.h $(SRC)/romlib.h $(SRC)/netpriv.h
	$(CROSSCC) $(CFLAGS) -c $(SRC)/$*.c
sched_2ep.o:	$(SRC)/sched_2ep.c $(SRC)/system.h $(SRC)/general.h $(SRC)/romlib.h $(SRC)/phys_jk.h $(SRC)/pcic.h
	$(CROSSCC) $(CFLAGS) -c $(SRC)/$*.c
bootp.o:	$(SRC)/bootp.c $(SRC)/general.h $(SRC)/net.h \
  $(SRC)/arpa.h $(SRC)/romlib.h $(SRC)/system.h $(SRC)/bootp.h
	$(CROSSCC) $(CFLAGS) -DNOBPEXT=1 -c $(SRC)/$*.c

wuf.o:		$(SRC)/wuf.S
	$(CROSSCC) $(ASFLAGS) -o $*.o -c $(SRC)/$*.S
wof.o:		$(SRC)/wof.S
	$(CROSSCC) $(ASFLAGS) -o $*.o -c $(SRC)/$*.S
rem.o:		$(SRC)/rem.S
	$(CROSSCC) $(ASFLAGS) -o $*.o -c $(SRC)/$*.S
sdiv.o:		$(SRC)/sdiv.S
	$(CROSSCC) $(ASFLAGS) -o $*.o -c $(SRC)/$*.S
udiv.o:		$(SRC)/udiv.S
	$(CROSSCC) $(ASFLAGS) -o $*.o -c $(SRC)/$*.S
urem.o:		$(SRC)/urem.S
	$(CROSSCC) $(ASFLAGS) -o $*.o -c $(SRC)/$*.S
umul.o:		$(SRC)/umul.S
	$(CROSSCC) $(ASFLAGS) -o $*.o -c $(SRC)/$*.S

clean:
	$(RM) $(OBJS)
	$(RM) $(PROLLEXE) proll.aout

proll.aout:	$(PROLLEXE)
	$(ELFTOAOUT) -o proll.aout $(PROLLEXE)

=== krups/Makefile ===
#
# proll:
# krups/Makefile - make PROLL for Krups
# $Id: Makefile,v 1.10 2002/09/13 17:35:03 zaitcev Exp $
#
# Copyright 1999,2000 Pete Zaitcev
# This is Free Software is licensed under terms of GNU General Public License.
#

CC = gcc

#CROSS = /usr/local/sparc/bin/sparc-sun-linux-
CROSS = sparc-unknown-linux-gnu-

CROSSCC = $(CROSS)gcc
CROSSLD = $(CROSS)ld
CROSSNM = $(CROSS)nm

RM = /bin/rm -f
ELFTOAOUT = elftoaout

#
SRC = ../src

# Due to remapping algorithm PROLBASE should be algned on PMD.
# We make PROLBASE a define instead of using _start because we
# want to shift it to form a PGD entry. A relocatable label will not work.
# Linux kernel expects us to be at LINUX_OPPROM_BEGVM <asm-sparc/openprom.h>.
PROLBASE = 0xffd04000

# Linux
# Fixed %g6 is for arch/sparc/kernel/head.S, it seems ok w/o -ffixed-g6.
# Kernel uses -fcall-used-g5 -fcall-used-g7, we probably do not need them.
# __ANSI__ is supposed to be on by default but it is not.
CFLAGS = -O -Wall -DPROLBASE=$(PROLBASE) -D__ANSI__=1 -I$(SRC)
ASFLAGS = -D__ASSEMBLY__ -I$(SRC)
# Solaris or Linux/i386 cross compilation
#CFLAGS = -Iinclude -O

LDFLAGS = -N -Ttext $(PROLBASE)

ALL = proll.aout
PROLLEXE = proll.elf
OBJS = head.o wuf.o wof.o main.o vconsole.o hconsole.o rconsole.o \
 printf.o rem.o sdiv.o umul.o udiv.o urem.o system.o hme.o pcic.o \
 arp.o netinit.o bootp.o packet.o tftp.o udp.o sched_2ep.o openprom.o eeprom.o

all:           $(ALL)

$(PROLLEXE):   $(OBJS)
	$(CROSSLD) $(LDFLAGS) -o $(PROLLEXE) $(OBJS)

head.o:         $(SRC)/head_jk.S $(SRC)/crs.h $(SRC)/asi.h $(SRC)/psr.h
	$(CROSSCC) $(ASFLAGS) -DPROLBASE=$(PROLBASE) -o $*.o -c $(SRC)/head_jk.S
main.o:         main.c $(SRC)/crs.h $(SRC)/asi.h $(SRC)/pgtsrmmu.h \
  $(SRC)/phys_jk.h $(SRC)/vconsole.h $(SRC)/version.h $(SRC)/general.h \
  $(SRC)/net.h $(SRC)/romlib.h $(SRC)/netpriv.h $(SRC)/arpa.h $(SRC)/system.h \
  $(SRC)/silo_arg.h
	$(CROSSCC) $(CFLAGS) -c $*.c
openprom.o:	openprom.c $(SRC)/openprom.h $(SRC)/general.h $(SRC)/romlib.h \
  $(SRC)/system.h $(SRC)/vconsole.h $(SRC)/phys_jk.h $(SRC)/silo_arg.h
	$(CROSSCC) $(CFLAGS) -c $*.c

system.o:       $(SRC)/system.c $(SRC)/vconsole.h $(SRC)/pgtsrmmu.h \
  $(SRC)/timer.h $(SRC)/general.h $(SRC)/net.h $(SRC)/romlib.h \
  $(SRC)/netpriv.h $(SRC)/arpa.h $(SRC)/system.h
	$(CROSSCC) $(CFLAGS) -c $(SRC)/$*.c
eeprom.o:	$(SRC)/eeprom.c $(SRC)/phys_jk.h $(SRC)/general.h \
  $(SRC)/romlib.h $(SRC)/system.h
	$(CROSSCC) $(CFLAGS) -c $(SRC)/$*.c
pcic.o:         $(SRC)/pcic.c $(SRC)/vconsole.h $(SRC)/pgtsrmmu.h \
 $(SRC)/phys_jk.h $(SRC)/pcic.h $(SRC)/general.h $(SRC)/romlib.h $(SRC)/system.h
	$(CROSSCC) $(CFLAGS) -c $(SRC)/$*.c
vconsole.o:	$(SRC)/vconsole.c $(SRC)/vconsole.h $(SRC)/hconsole.h
	$(CROSSCC) $(CFLAGS) -c $(SRC)/$*.c
hconsole.o:	$(SRC)/hconsole.c $(SRC)/hconsole.h $(SRC)/rconsole.h $(SRC)/phys_jj.h
	$(CROSSCC) $(CFLAGS) -c $(SRC)/$*.c
rconsole.o:	$(SRC)/rconsole.c $(SRC)/rconsole.h
	$(CROSSCC) $(CFLAGS) -c $(SRC)/$*.c
printf.o:       $(SRC)/printf.c
	$(CROSSCC) $(CFLAGS) -c $(SRC)/$*.c
hme.o:		$(SRC)/hme.c  $(SRC)/system.h $(SRC)/netpriv.h \
  $(SRC)/ethtool.h $(SRC)/timer.h $(SRC)/romlib.h $(SRC)/general.h $(SRC)/net.h
	$(CROSSCC) $(CFLAGS) -c $(SRC)/$*.c
arp.o:		$(SRC)/arp.c $(SRC)/general.h $(SRC)/net.h $(SRC)/romlib.h $(SRC)/netpriv.h $(SRC)/arp.h
	$(CROSSCC) $(CFLAGS) -c $(SRC)/$*.c
netinit.o:	$(SRC)/netinit.c $(SRC)/general.h $(SRC)/net.h $(SRC)/romlib.h $(SRC)/netpriv.h $(SRC)/arp.h $(SRC)/ip.h $(SRC)/udp.h
	$(CROSSCC) $(CFLAGS) -c $(SRC)/$*.c
tftp.o:		$(SRC)/tftp.c $(SRC)/general.h $(SRC)/net.h $(SRC)/arpa.h $(SRC)/romlib.h $(SRC)/tftp.h
	$(CROSSCC) $(CFLAGS) -c $(SRC)/$*.c
udp.o:		$(SRC)/udp.c $(SRC)/general.h $(SRC)/net.h $(SRC)/romlib.h $(SRC)/netpriv.h $(SRC)/arp.h $(SRC)/ip.h $(SRC)/udp.h
	$(CROSSCC) $(CFLAGS) -c $(SRC)/$*.c
packet.o:	$(SRC)/packet.c $(SRC)/general.h $(SRC)/net.h $(SRC)/romlib.h $(SRC)/netpriv.h
	$(CROSSCC) $(CFLAGS) -c $(SRC)/$*.c
sched_2ep.o:	$(SRC)/sched_2ep.c $(SRC)/system.h $(SRC)/general.h $(SRC)/romlib.h $(SRC)/phys_jk.h $(SRC)/pcic.h
	$(CROSSCC) $(CFLAGS) -c $(SRC)/$*.c
bootp.o:	$(SRC)/bootp.c $(SRC)/general.h $(SRC)/net.h \
  $(SRC)/arpa.h $(SRC)/romlib.h $(SRC)/system.h $(SRC)/bootp.h
	$(CROSSCC) $(CFLAGS) -DNOBPEXT=1 -c $(SRC)/$*.c

wuf.o:		$(SRC)/wuf.S
	$(CROSSCC) $(ASFLAGS) -o $*.o -c $(SRC)/$*.S
wof.o:		$(SRC)/wof.S
	$(CROSSCC) $(ASFLAGS) -o $*.o -c $(SRC)/$*.S
rem.o:		$(SRC)/rem.S
	$(CROSSCC) $(ASFLAGS) -o $*.o -c $(SRC)/$*.S
sdiv.o:		$(SRC)/sdiv.S
	$(CROSSCC) $(ASFLAGS) -o $*.o -c $(SRC)/$*.S
udiv.o:		$(SRC)/udiv.S
	$(CROSSCC) $(ASFLAGS) -o $*.o -c $(SRC)/$*.S
urem.o:		$(SRC)/urem.S
	$(CROSSCC) $(ASFLAGS) -o $*.o -c $(SRC)/$*.S
umul.o:		$(SRC)/umul.S
	$(CROSSCC) $(ASFLAGS) -o $*.o -c $(SRC)/$*.S

clean:
	$(RM) $(OBJS)
	$(RM) $(PROLLEXE) proll.aout

proll.aout:	$(PROLLEXE)
	$(ELFTOAOUT) -o proll.aout $(PROLLEXE)

=== mrcoffee/Makefile ===
#
# proll:
# mrcoffee/Makefile - make PROLL for MrCoffee
# $Id: Makefile,v 1.11 2002/07/23 06:15:26 zaitcev Exp $
#
# Copyright 1999 Pete Zaitcev
# This is Free Software is licensed under terms of GNU General Public License.
#

CC = gcc

#CROSS = /usr/local/sparc/bin/sparc-sun-linux-
CROSS = sparc-unknown-linux-gnu-

CROSSCC = $(CROSS)gcc
CROSSLD = $(CROSS)ld
CROSSNM = $(CROSS)nm

RM = /bin/rm -f
ELFTOAOUT = elftoaout

#
SRC = ../src

# Due to remapping algorithm PROLBASE should be algned on PMD.
# We make PROLBASE a define instead of using _start because we
# want to shift it to form a PGD entry. A relocatable label will not work.
# Linux kernel expects us to be at LINUX_OPPROM_BEGVM <asm-sparc/openprom.h>.
PROLBASE = 0xffd04000

# Linux
# Fixed %g6 is for arch/sparc/kernel/head.S, it seems ok w/o -ffixed-g6.
# Kernel uses -fcall-used-g5 -fcall-used-g7, we probably do not need them.
# __ANSI__ is supposed to be on by default but it is not.
CFLAGS = -O -Wall -DPROLBASE=$(PROLBASE) -D__ANSI__=1 -I$(SRC)
ASFLAGS = -D__ASSEMBLY__ -I$(SRC)
# Solaris or Linux/i386 cross compilation
#CFLAGS = -Iinclude -O

LDFLAGS = -N -Ttext $(PROLBASE)

ALL = proll.aout
PROLLEXE = proll.elf
OBJS = head.o wuf.o wof.o main.o vconsole.o hconsole.o rconsole.o \
 printf.o rem.o sdiv.o umul.o udiv.o urem.o le.o system.o iommu.o \
 arp.o netinit.o bootp.o packet.o tftp.o udp.o sched_4m.o openprom.o

all:           $(ALL)

$(PROLLEXE):   $(OBJS)
	$(CROSSLD) $(LDFLAGS) -o $(PROLLEXE) $(OBJS)

head.o:         $(SRC)/head.S $(SRC)/phys_jj.h \
  $(SRC)/asi.h $(SRC)/psr.h $(SRC)/crs.h
	$(CROSSCC) $(ASFLAGS) -DPROLBASE=$(PROLBASE) -o $*.o -c $(SRC)/$*.S
main.o:         main.c $(SRC)/asi.h $(SRC)/pgtsrmmu.h $(SRC)/iommu.h \
  $(SRC)/phys_jj.h $(SRC)/vconsole.h $(SRC)/version.h $(SRC)/general.h \
  $(SRC)/net.h $(SRC)/romlib.h $(SRC)/netpriv.h $(SRC)/arpa.h $(SRC)/system.h
	$(CROSSCC) $(CFLAGS) -c $*.c
openprom.o:	openprom.c $(SRC)/openprom.h $(SRC)/general.h $(SRC)/romlib.h \
  $(SRC)/vconsole.h $(SRC)/system.h $(SRC)/phys_jj.h
	$(CROSSCC) $(CFLAGS) -c $*.c

system.o:       $(SRC)/system.c $(SRC)/vconsole.h $(SRC)/pgtsrmmu.h \
  $(SRC)/timer.h $(SRC)/general.h $(SRC)/net.h $(SRC)/romlib.h $(SRC)/asi.h \
  $(SRC)/netpriv.h $(SRC)/arpa.h $(SRC)/system.h $(SRC)/crs.h
	$(CROSSCC) $(CFLAGS) -c $(SRC)/$*.c
iommu.o:        $(SRC)/iommu.c $(SRC)/pgtsrmmu.h $(SRC)/phys_jj.h $(SRC)/iommu.h \
 $(SRC)/vconsole.h $(SRC)/general.h $(SRC)/romlib.h $(SRC)/system.h $(SRC)/asi.h
	$(CROSSCC) $(CFLAGS) -c $(SRC)/$*.c
vconsole.o:	$(SRC)/vconsole.c $(SRC)/vconsole.h $(SRC)/hconsole.h
	$(CROSSCC) $(CFLAGS) -c $(SRC)/$*.c
hconsole.o:	$(SRC)/hconsole.c $(SRC)/hconsole.h $(SRC)/rconsole.h $(SRC)/phys_jj.h
	$(CROSSCC) $(CFLAGS) -c $(SRC)/$*.c
rconsole.o:	$(SRC)/rconsole.c $(SRC)/rconsole.h
	$(CROSSCC) $(CFLAGS) -c $(SRC)/$*.c
printf.o:       $(SRC)/printf.c
	$(CROSSCC) $(CFLAGS) -c $(SRC)/$*.c
le.o:		$(SRC)/le.c $(SRC)/dma.h $(SRC)/system.h $(SRC)/netpriv.h $(SRC)/romlib.h $(SRC)/general.h $(SRC)/net.h $(SRC)/phys_jj.h
	$(CROSSCC) $(CFLAGS) -c $(SRC)/$*.c

arp.o:		$(SRC)/arp.c $(SRC)/general.h $(SRC)/net.h $(SRC)/romlib.h $(SRC)/netpriv.h $(SRC)/arp.h
	$(CROSSCC) $(CFLAGS) -c $(SRC)/$*.c
netinit.o:	$(SRC)/netinit.c $(SRC)/general.h $(SRC)/net.h $(SRC)/romlib.h $(SRC)/netpriv.h $(SRC)/arp.h $(SRC)/ip.h $(SRC)/udp.h
	$(CROSSCC) $(CFLAGS) -c $(SRC)/$*.c
tftp.o:		$(SRC)/tftp.c $(SRC)/general.h $(SRC)/net.h $(SRC)/arpa.h $(SRC)/romlib.h $(SRC)/tftp.h
	$(CROSSCC) $(CFLAGS) -c $(SRC)/$*.c
udp.o:		$(SRC)/udp.c $(SRC)/general.h $(SRC)/net.h $(SRC)/romlib.h $(SRC)/netpriv.h $(SRC)/arp.h $(SRC)/ip.h $(SRC)/udp.h
	$(CROSSCC) $(CFLAGS) -c $(SRC)/$*.c
packet.o:	$(SRC)/packet.c $(SRC)/general.h $(SRC)/net.h $(SRC)/romlib.h $(SRC)/netpriv.h
	$(CROSSCC) $(CFLAGS) -c $(SRC)/$*.c
sched_4m.o:	$(SRC)/sched_4m.c $(SRC)/system.h $(SRC)/general.h $(SRC)/romlib.h $(SRC)/phys_jj.h
	$(CROSSCC) $(CFLAGS) -c $(SRC)/$*.c
bootp.o:	$(SRC)/bootp.c $(SRC)/general.h $(SRC)/net.h \
  $(SRC)/arpa.h $(SRC)/romlib.h $(SRC)/system.h $(SRC)/bootp.h
	$(CROSSCC) $(CFLAGS) -DNOBPEXT=1 -c $(SRC)/$*.c

wuf.o:		$(SRC)/wuf.S
	$(CROSSCC) $(ASFLAGS) -o $*.o -c $(SRC)/$*.S
wof.o:		$(SRC)/wof.S
	$(CROSSCC) $(ASFLAGS) -o $*.o -c $(SRC)/$*.S
rem.o:		$(SRC)/rem.S
	$(CROSSCC) $(ASFLAGS) -o $*.o -c $(SRC)/$*.S
sdiv.o:		$(SRC)/sdiv.S
	$(CROSSCC) $(ASFLAGS) -o $*.o -c $(SRC)/$*.S
udiv.o:		$(SRC)/udiv.S
	$(CROSSCC) $(ASFLAGS) -o $*.o -c $(SRC)/$*.S
urem.o:		$(SRC)/urem.S
	$(CROSSCC) $(ASFLAGS) -o $*.o -c $(SRC)/$*.S
umul.o:		$(SRC)/umul.S
	$(CROSSCC) $(ASFLAGS) -o $*.o -c $(SRC)/$*.S

#genlab.o:      genlab.c
#	$(CC) -c $*.c
#
#genlab:        genlab.o
#	$(CC) -o genlab genlab.o

clean:
	$(RM) $(OBJS)
	$(RM) $(PROLLEXE) proll.aout

proll.aout:	$(PROLLEXE)
	$(ELFTOAOUT) -o proll.aout $(PROLLEXE)

=== roxy-ser-net/Makefile ===
#
# proll:
# roxy-xxx/Makefile - make PROLL for Roxy
# $Id: Makefile,v 1.11 2002/07/23 06:07:11 zaitcev Exp $
#
# Copyright 1999,2000 Pete Zaitcev
# This is Free Software is licensed under terms of GNU General Public License.
#

CC = gcc

#CROSS = /usr/local/sparc/bin/sparc-sun-linux-
CROSS = sparc-unknown-linux-gnu-

CROSSCC = $(CROSS)gcc
CROSSLD = $(CROSS)ld
CROSSNM = $(CROSS)nm

RM = /bin/rm -f
ELFTOAOUT = elftoaout

#
SRC = ../src

# Due to remapping algorithm PROLBASE should be algned on PMD.
# We make PROLBASE a define instead of using _start because we
# want to shift it to form a PGD entry. A relocatable label will not work.
# Linux kernel expects us to be at LINUX_OPPROM_BEGVM <asm-sparc/openprom.h>.
PROLBASE = 0xffd04000
# Roxy loads stuff at 0xE1401000, so we should link on xxxx1000 if
# we want PMD remapping to work in head.S. On the other hand, we
# have LOADBASE too firmly placed on 0x4000. So, we link to FFD01000,
# but head.S has a hole in it that allows to keep PROLBASE at FFD04000.
ROXYBASE = 0xffd01000

# Linux
# Fixed %g6 is for arch/sparc/kernel/head.S, it seems ok w/o -ffixed-g6.
# Kernel uses -fcall-used-g5 -fcall-used-g7, we probably do not need them.
# __ANSI__ is supposed to be on by default but it is not.
CFLAGS = -O -Wall -DPROLBASE=$(PROLBASE) -D__ANSI__=1 -I$(SRC)
ASFLAGS = -D__ASSEMBLY__ -I$(SRC)
# Solaris or Linux/i386 cross compilation
#CFLAGS = -Iinclude -O

LDFLAGS = -N -Ttext $(ROXYBASE)

ALL = proll.bin
PROLLEXE = proll.elf
OBJS = head.o wuf.o wof.o main.o vcons_su.o \
 printf.o rem.o sdiv.o umul.o udiv.o urem.o system.o cs89x0.o pcic.o \
 arp.o netinit.o rarp.o packet.o tftp.o udp.o sched_2ep.o openprom.o

all:           $(ALL)

$(PROLLEXE):   $(OBJS)
	$(CROSSLD) $(LDFLAGS) -o $(PROLLEXE) $(OBJS)

head.o:         head.S $(SRC)/asi.h $(SRC)/psr.h
	$(CROSSCC) $(ASFLAGS) -DPROLBASE=$(PROLBASE) -o $*.o -c $*.S
main.o:         main.c $(SRC)/pgtsrmmu.h $(SRC)/phys_ro.h $(SRC)/vconsole.h \
  $(SRC)/version.h $(SRC)/general.h $(SRC)/net.h $(SRC)/romlib.h \
  $(SRC)/netpriv.h $(SRC)/arpa.h $(SRC)/system.h
	$(CROSSCC) $(CFLAGS) -c $*.c
openprom.o:	openprom.c $(SRC)/general.h $(SRC)/romlib.h $(SRC)/system.h \
  $(SRC)/phys_jk.h $(SRC)/vconsole.h
	$(CROSSCC) $(CFLAGS) -c $*.c

system.o:       $(SRC)/system.c $(SRC)/vconsole.h $(SRC)/pgtsrmmu.h \
  $(SRC)/timer.h $(SRC)/general.h $(SRC)/net.h $(SRC)/romlib.h \
  $(SRC)/netpriv.h $(SRC)/arpa.h $(SRC)/system.h
	$(CROSSCC) $(CFLAGS) -c $(SRC)/$*.c
# eeprom.o:	$(SRC)/eeprom.c $(SRC)/phys_jk.h $(SRC)/general.h \
#   $(SRC)/romlib.h $(SRC)/system.h
# 	$(CROSSCC) $(CFLAGS) -c $(SRC)/$*.c
pcic.o:         $(SRC)/pcic.c $(SRC)/vconsole.h $(SRC)/pgtsrmmu.h \
 $(SRC)/phys_jk.h $(SRC)/pcic.h $(SRC)/general.h $(SRC)/romlib.h $(SRC)/system.h
	$(CROSSCC) $(CFLAGS) -c $(SRC)/$*.c
vcons_su.o:	$(SRC)/vcons_su.c $(SRC)/vconsole.h $(SRC)/system.h
	$(CROSSCC) $(CFLAGS) -c $(SRC)/$*.c
# vconsole.o:	$(SRC)/vconsole.c $(SRC)/vconsole.h $(SRC)/hconsole.h
#	$(CROSSCC) $(CFLAGS) -c $(SRC)/$*.c
# hconsole.o:	$(SRC)/hconsole.c $(SRC)/hconsole.h $(SRC)/rconsole.h $(SRC)/phys_jj.h
#	$(CROSSCC) $(CFLAGS) -c $(SRC)/$*.c
# rconsole.o:	$(SRC)/rconsole.c $(SRC)/rconsole.h
#	$(CROSSCC) $(CFLAGS) -c $(SRC)/$*.c
printf.o:       $(SRC)/printf.c
	$(CROSSCC) $(CFLAGS) -c $(SRC)/$*.c
cs89x0.o:	$(SRC)/cs89x0.c $(SRC)/cs89x0.h $(SRC)/general.h \
 $(SRC)/romlib.h $(SRC)/net.h $(SRC)/netpriv.h $(SRC)/system.h
	$(CROSSCC) $(CFLAGS) -c $(SRC)/$*.c
arp.o:		$(SRC)/arp.c $(SRC)/general.h $(SRC)/net.h $(SRC)/romlib.h $(SRC)/netpriv.h $(SRC)/arp.h
	$(CROSSCC) $(CFLAGS) -c $(SRC)/$*.c
netinit.o:	$(SRC)/netinit.c $(SRC)/general.h $(SRC)/net.h $(SRC)/romlib.h $(SRC)/netpriv.h $(SRC)/arp.h $(SRC)/ip.h $(SRC)/udp.h
	$(CROSSCC) $(CFLAGS) -c $(SRC)/$*.c
tftp.o:		$(SRC)/tftp.c $(SRC)/general.h $(SRC)/net.h $(SRC)/arpa.h \
 $(SRC)/romlib.h $(SRC)/tftp.h
	$(CROSSCC) $(CFLAGS) -c $(SRC)/$*.c
udp.o:		$(SRC)/udp.c $(SRC)/general.h $(SRC)/net.h $(SRC)/romlib.h $(SRC)/netpriv.h $(SRC)/arp.h $(SRC)/ip.h $(SRC)/udp.h
	$(CROSSCC) $(CFLAGS) -c $(SRC)/$*.c
packet.o:	$(SRC)/packet.c $(SRC)/general.h $(SRC)/net.h $(SRC)/romlib.h $(SRC)/netpriv.h
	$(CROSSCC) $(CFLAGS) -c $(SRC)/$*.c
sched_2ep.o:	$(SRC)/sched_2ep.c $(SRC)/system.h $(SRC)/general.h $(SRC)/romlib.h $(SRC)/phys_jk.h $(SRC)/pcic.h
	$(CROSSCC) $(CFLAGS) -c $(SRC)/$*.c
# Roxy uses RARP, so let's go with that and avoid dual servers.
# bootp.o:	$(SRC)/bootp.c $(SRC)/general.h $(SRC)/net.h \
#  $(SRC)/arpa.h $(SRC)/romlib.h $(SRC)/system.h $(SRC)/bootp.h
#	$(CROSSCC) $(CFLAGS) -DNOBPEXT=1 -c $(SRC)/$*.c
rarp.o:		$(SRC)/rarp.c $(SRC)/general.h $(SRC)/romlib.h $(SRC)/net.h \
 $(SRC)/netpriv.h $(SRC)/arp.h
	$(CROSSCC) $(CFLAGS) -c $(SRC)/$*.c

wuf.o:		$(SRC)/wuf.S
	$(CROSSCC) $(ASFLAGS) -o $*.o -c $(SRC)/$*.S
wof.o:		$(SRC)/wof.S
	$(CROSSCC) $(ASFLAGS) -o $*.o -c $(SRC)/$*.S
rem.o:		$(SRC)/rem.S
	$(CROSSCC) $(ASFLAGS) -o $*.o -c $(SRC)/$*.S
sdiv.o:		$(SRC)/sdiv.S
	$(CROSSCC) $(ASFLAGS) -o $*.o -c $(SRC)/$*.S
udiv.o:		$(SRC)/udiv.S
	$(CROSSCC) $(ASFLAGS) -o $*.o -c $(SRC)/$*.S
urem.o:		$(SRC)/urem.S
	$(CROSSCC) $(ASFLAGS) -o $*.o -c $(SRC)/$*.S
umul.o:		$(SRC)/umul.S
	$(CROSSCC) $(ASFLAGS) -o $*.o -c $(SRC)/$*.S

clean:
	$(RM) $(OBJS)
	$(RM) $(PROLLEXE) proll.bin

proll.bin:	$(PROLLEXE)
	$(ELFTOAOUT) -b -o proll.bin $(PROLLEXE)

=== debian/changelog ===
proll (18-6) unstable; urgency=low

  * Orphan package, set maintainer to Debian QA Group.
  * Cleanup patches:
    - Rename 001_qemu.patch to qemu-rom.patch.
    - Remove switch from bzero to memset in 002_gcc34.patch.
    - Split 002_gcc34.patch into asm-syntax.patch, bzero-bcopy.patch and
      memset-fix-args.patch.
    - Rename 003_sparcv9.patch to disable-sparcv9.patch.
  * Do not build QEMU image for -mcpu=hypersparc, it causes assembler errors
    due to disabled div32 and mul32 hardware capabilities.
  * Build QEMU image with -Os to make the code fit into the .text section.
  * Build ROM images with -ffreestanding to avoid the compiler getting funny
    ideas on what built-in functions it can emit automatically as part of
    the optimization process.

 -- Guillem Jover <guillem@debian.org>  Mon, 06 Feb 2012 15:53:56 +0100

proll (18-5) unstable; urgency=low

  * Switch to debhelper compatibility level 7.
  * Use dh_prep instead of “dh_clean -k”.
  * Use $(filter ...) instead of $(findstring ...) to extract space separated
    options from DEB_BUILD_OPTIONS in debian/rules.
  * Switch to source format “3.0 (quilt)”:
    - Remove quilt from Build-Depends.
    - Remove quilt.make include from debian/rules.
    - Remove patch and unpatch targets from debian/rules.
    - Remove now unneeded debian/README.source.
  * Now using Standards-Version 3.9.2 (no changes needed).
  * Remove leading ‘./’ from lintian overrides.
  * Rename build target to build-indep, install to install-indep, and add
    an empty build-arch target.
  * Use dpkg-buildflags to set CPPFLAGS, CFLAGS and LDFLAGS.
  * Disable Sparc V9 specific unbuildable code.
  * Add ${misc:Depends} to Depends field.

 -- Guillem Jover <guillem@debian.org>  Wed, 08 Jun 2011 04:35:59 +0200

proll (18-4) unstable; urgency=low

  * Update packaging Vcs fields to the new URL.
  * Add a debian/README.source file.
  * Now using Standards-Version 3.8.0.
  * Add missing copyright symbols in debian/copyright.
  * Refer to GPL-2 from common-licenses instead of just GPL.
  * Refresh patches with -pab.
  * Add lintian overrides for arch-dependent-file-in-usr-share.
  * Switch to use dh_lintian instead of manually installing the overrides.
    Bump the versioned debhelper Build-Depends to 6.0.7.

 -- Guillem Jover <guillem@debian.org>  Sat, 28 Jun 2008 22:35:41 +0300

proll (18-3) unstable; urgency=low

  * Give an error when not using a sparc-linux-gnu toolchain.
  * Now using Standards-Version 3.7.3 (no changes needed).
  * Add Homepage field.
  * Add Vcs-Browser and Vcs-Git fields.
  * Switch to quilt:
    - Remove now unused debian/patch.mk.
    - Replace include of patch.mk with quilt.make in debian/rules.
    - Add Build-Depends on 'quilt (>= 0.40)'.
    - Add debian/patches/series.
  * Do not ignore make errors on 'debian/rules clean'.
  * Support cross-compiling by passing a cross prefix to make when not
    building natively.

 -- Guillem Jover <guillem@debian.org>  Thu, 13 Dec 2007 07:35:11 +0200

proll (18-2) unstable; urgency=low

  * Fix watch file.
  * Now using Standards-Version 3.7.0 (no changes needed).
  * Switch to debhelper compatibility level 5.
  * Added an override file.
  * Update FSF's address.
  * Remove unneeded commented lines in debian/rules.
  * Clean up debian/patch.mk:
    - Rename clean to unpatch.
    - Switch patch and unpatch to single-colon targets.
    - Add patch, unpatch, apply-patches and reverse-patches to the PHONY
      targets.
  * Remove uneeded debian/dirs file.
  * Move debhelper from Build-Depends-Indep to Build-Depends as it is run in
    the clean target.

 -- Guillem Jover <guillem@debian.org>  Thu, 04 May 2006 00:59:36 +0300

proll (18-1) unstable; urgency=low

  * Initial Release. (Closes: #303489)

 -- Guillem Jover <guillem@debian.org>  Mon, 16 May 2005 02:55:30 +0300

=== debian/control ===
Source: proll
Section: misc
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: dpkg-dev (>= 1.15.7), debhelper (>= 7)
Build-Depends-Indep: sparc-utils
Homepage: http://people.redhat.com/zaitcev/linux/
Vcs-Browser: http://git.hadrons.org/?p=debian/pkgs/proll.git
Vcs-Git: git://git.hadrons.org/git/debian/pkgs/proll.git
Standards-Version: 3.9.2

Package: proll
Architecture: all
Depends: ${misc:Depends}
Description: JavaStation PROM 2.x compatible replacement
 Proll is a 2.x PROM compatible replacement for JavaStations, that can
 be used on emulators such as Qemu or to make possible to boot Linux, as
 later 3.x series of the PROMs are unable to boot it.
 .
 JavaStations came with two different PROMs installed in them. Version 2.30
 shipped with the earliest Mr. Coffee models, that was updated by latter
 versions of the Sun Netra J software environment to 3.11. Krups and
 Espresso came with 3.x versions of the PROM by default.

=== debian/rules ===
#!/usr/bin/make -f
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifneq ($(DEB_HOST_GNU_TYPE), sparc-linux-gnu)
  $(error "this package needs to be built with a sparc-linux-gnu toolchain")
endif

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  CROSS_PREFIX := ""
else
  CROSS_PREFIX := "$(DEB_HOST_GNU_TYPE)-"
endif

CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS := -Wall $(shell dpkg-buildflags --get CFLAGS)
LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)

build-indep:
	dh_testdir
	
	$(MAKE) CROSS="$(CROSS_PREFIX)"

build-arch:

build: build-indep build-arch

clean:
	dh_testdir
	dh_testroot
	
	[ ! -f Makefile ] || $(MAKE) clean
	
	dh_clean

install-indep: build-indep
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	
	for f in */proll.aout */proll.elf; do \
	  mv $$f `echo $$f | sed -re 's:(.*)/proll\.(.*):\1/proll-\1.\2:'`; \
	done

.PHONY: build-indep build-arch build install-indep clean

binary-arch:
# Nothing to do

binary-indep: install-indep
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_install
	dh_lintian
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: binary-indep binary-arch binary

=== debian/watch ===
version=3
http://people.redhat.com/zaitcev/linux/ proll_(.*)\.tar\.gz
